OpenNMS API 1.2.9

## org.opennms.web.notification
Class AcknowledgeNoticeServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.notification.AcknowledgeNoticeServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class AcknowledgeNoticeServlet
extends javax.servlet.http.HttpServlet

This servlet receives an HTTP POST with a list of notices to acknowledge, and then it redirects the client to a URL for display. The target URL is configurable in the servlet config (web.xml file).

Author:
  Lawrence Karnowski , OpenNMS
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `redirectSuccess` The URL to redirect the client to in case of success.

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`AcknowledgeNoticeServlet()`

Method Summary
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Acknowledge the notices specified in the POST and then redirect the client to an appropriate URL for display.
`protected java.lang.String` `getRedirectString(javax.servlet.http.HttpServletRequest request)` Convenience method for dynamically creating the redirect URL if necessary.
`void` `init()` Looks up the `dispath.success` parameter in the servlet's config.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### redirectSuccess

    protected java.lang.String redirectSuccess

  The URL to redirect the client to in case of success.

Constructor Detail

### AcknowledgeNoticeServlet

    public AcknowledgeNoticeServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Looks up the `dispath.success` parameter in the servlet's config. If not present, this servlet will throw an exception so it will be marked unavailable.

  Throws:
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Acknowledge the notices specified in the POST and then redirect the client to an appropriate URL for display.

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getRedirectString

    protected java.lang.String getRedirectString(javax.servlet.http.HttpServletRequest request)

  Convenience method for dynamically creating the redirect URL if necessary.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.